#ifndef __STM_PIN_HPP__
#define __STM_PIN_HPP__

#include "./../../interfaces/pin.hpp"

#include <iostream>

truct STM32_Pin : Pin<STM32_Pin>
{
    STM32_Pin()
    {
        std::cout << "created STM32_Pin" << std::endl;
    }

    void setImp(bool logic)
    {
        std::cout << "stm32 pin set to " << logic << std::endl;
    }

    void toggleImp()
    {
        std::cout << "toggled stm32 pin" << std::endl;
    }

    bool getImp()
    {
        return true;
    }


    void STM32_stuff()
    {
        std::cout << "STM_32 specific stuff" << std::endl;
    }
};

#endif // __STM_PIN_HPP__
